org.eclipse.microprofile.config.tck.util

## Class AdditionalAssertions

- java.lang.Object
- - org.eclipse.microprofile.config.tck.util.AdditionalAssertions

    public final class AdditionalAssertions
    extends Object

Author:
  Emily Jiang, Joseph Cass

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `assertURLArrayEquals(URL[] value, URL[] expectedValue)`
`static void` `assertURLListEquals(List<URL> value, List<URL> expectedValue)`
`static void` `assertURLSetEquals(Set<URL> valueSet, Set<URL> expectedURLSet)`
`static boolean` `urlEquals(URL expected, URL actual)` Use URI.equals() since URL.equals() performs DNS resolution which is undesired.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### urlEquals

    public static boolean urlEquals(URL expected,
                                    URL actual)
                             throws URISyntaxException

Use URI.equals() since URL.equals() performs DNS resolution which is undesired. See #549

Throws:
  `URISyntaxException` - if either URL is not formatted correctly

#### assertURLArrayEquals

    public static void assertURLArrayEquals(URL[] value,
                                            URL[] expectedValue)
                                     throws MalformedURLException

Throws:
  `MalformedURLException`

#### assertURLListEquals

    public static void assertURLListEquals(List<URL> value,
                                           List<URL> expectedValue)
                                    throws MalformedURLException

Throws:
  `MalformedURLException`

#### assertURLSetEquals

    public static void assertURLSetEquals(Set<URL> valueSet,
                                          Set<URL> expectedURLSet)
                                   throws MalformedURLException,
                                          URISyntaxException

Throws:
  `MalformedURLException`
  `URISyntaxException`